<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('accounts', function (Blueprint $table) {

            if (! Schema::hasColumn('accounts', 'balance_amount')) {

                $table->decimal('balance_amount', 18, 4)->nullable()->after('description');
                $table->index('balance_amount');
            }
        });
    }

    public function down(): void
    {
        Schema::table('accounts', function (Blueprint $table) {
            if (Schema::hasColumn('accounts', 'balance_amount')) {
                $table->dropIndex(['balance_amount']);
                $table->dropColumn('balance_amount');
            }
        });
    }
};
